{% extends 'base_1.html' %}

{% block content %}
<style type="text/css">
  .form-signin {
    width: 100%;
    max-width: 330px;
    padding: 15px;
    margin: auto;
  }

  .form-signin .checkbox {
    font-weight: 400;
  }

  .form-signin .form-control {
    position: relative;
    box-sizing: border-box;
    height: auto;
    padding: 10px;
    font-size: 16px;
  }

  .form-signin .form-control:focus {
    z-index: 2;
  }

  .form-signin input[type="password"] {
    margin-bottom: 10px;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
  }

  .h3 {
    text-align: center;
  }
</style>

<main id="main">
  <!-- ======= Breadcrumbs ======= -->
  <section id="breadcrumbs" class="breadcrumbs">
    <div class="breadcrumb-hero">
      <div class="container">
        <div class="breadcrumb-hero">
          <h2>Change password</h2>
        </div>
      </div>
    </div>
    <div class="container">
      <ol>
        <li><a href="{% url 'home' %}">Home</a></li>
        <li>Change password</li>
      </ol>
    </div>
  </section>
  <!-- End Breadcrumbs -->


  <form method="POST" class="form-signin">
    {% csrf_token %}
    <h1 class="h3 mb-3 font-weight-normal">Change password</h1>
    <input name="old_password" class="form-control" placeholder="Old password" type="password" id="id_old_password"
      required="true">
    <input name="new_password1" class="form-control" placeholder="New password" type="password" id="id_new_password1"
      required="true">
    <input name="new_password2" class="form-control" placeholder="Confirm password" type="password"
      id="id_new_password2" required="true">

    {% for field in form %}
    {% for error in field.errors %}
    <p style="color: red">{{ error }}</p>
    {% endfor %}
    {% endfor %}

    <button class="btn btn-lg btn-primary btn-block" type="submit">Update</button>
  </form>

</main>

{% endblock %}